classification
Title: tkinter raises TypeError when it's supposed to raise TclError
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Akuli, gpolo, miss-islington, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2020-07-24 14:48 by Akuli, last changed 2020-07-27 02:17 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21601 merged Akuli, 2020-07-24 14:48
PR 21635 merged miss-islington, 2020-07-27 01:48
PR 21636 merged miss-islington, 2020-07-27 01:48
Messages (5)
msg374188 - (view) Author: Akuli (Akuli) Date: 2020-07-24 14:48
from Lib:tkinter/__init__.py:

    raise TclError('unknown option -'+kwargs.keys()[0])

This is no longer valid in Python 3.
msg374351 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-27 01:48
New changeset f1d40f941a6483b1d4ea10f1051ace7b426fb8e7 by Akuli in branch 'master':
bpo-41384: Raise TclError in tkinter.OptionMenu (GH-21601)
https://github.com/python/cpython/commit/f1d40f941a6483b1d4ea10f1051ace7b426fb8e7
msg374355 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-27 02:14
New changeset 8b052751d32c43540e2786ce0b3f7e4b4d0ae161 by Miss Islington (bot) in branch '3.9':
bpo-41384: Raise TclError in tkinter.OptionMenu (GH-21601)
https://github.com/python/cpython/commit/8b052751d32c43540e2786ce0b3f7e4b4d0ae161
msg374356 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-27 02:14
New changeset 104adedf641dc686069a20ae1a05c821b56e4aa4 by Miss Islington (bot) in branch '3.8':
bpo-41384: Raise TclError in tkinter.OptionMenu (GH-21601)
https://github.com/python/cpython/commit/104adedf641dc686069a20ae1a05c821b56e4aa4
msg374357 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-27 02:17
Thank you for reporting this.  In the future, you can suggest a fix on the issue, without a PR.
History
Date User Action Args
2020-07-27 02:17:20terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg374357

stage: patch review -> resolved
2020-07-27 02:14:53terry.reedysetmessages: + msg374356
2020-07-27 02:14:22terry.reedysetmessages: + msg374355
2020-07-27 01:48:59miss-islingtonsetpull_requests: + pull_request20778
2020-07-27 01:48:50miss-islingtonsetkeywords: + patch
nosy: + miss-islington

pull_requests: + pull_request20777
stage: patch review
2020-07-27 01:48:25terry.reedysetnosy: + terry.reedy
messages: + msg374351
2020-07-25 12:26:42wyz23x2settype: behavior
versions: + Python 3.8, Python 3.9, Python 3.10
2020-07-24 14:53:07xtreaksetnosy: + gpolo, serhiy.storchaka
2020-07-24 14:48:31Akulicreate